org.apache.poi.hssf.util

## Class HSSFRegionUtil

- java.lang.Object
- - org.apache.poi.hssf.util.HSSFRegionUtil

- Deprecated.
  POI 4.0.0

      @Removal(version="4.2")
      public final class HSSFRegionUtil
      extends java.lang.Object

  Various utility functions that make working with a region of cells easier.
  See Also:
    `RegionUtil`

- - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `setBorderBottom(int border, CellRangeAddress region, HSSFSheet sheet, HSSFWorkbook workbook)` Deprecated. Sets the borderBottom attribute of the HSSFRegionUtil object
    `static void` | `setBorderLeft(int border, CellRangeAddress region, HSSFSheet sheet, HSSFWorkbook workbook)` Deprecated. Sets the left border for a region of cells by manipulating the cell style of the individual cells on the left
    `static void` | `setBorderRight(int border, CellRangeAddress region, HSSFSheet sheet, HSSFWorkbook workbook)` Deprecated. Sets the borderRight attribute of the HSSFRegionUtil object
    `static void` | `setBorderTop(int border, CellRangeAddress region, HSSFSheet sheet, HSSFWorkbook workbook)` Deprecated. Sets the borderBottom attribute of the HSSFRegionUtil object
    `static void` | `setBottomBorderColor(int color, CellRangeAddress region, HSSFSheet sheet, HSSFWorkbook workbook)` Deprecated. Sets the bottomBorderColor attribute of the HSSFRegionUtil object
    `static void` | `setLeftBorderColor(int color, CellRangeAddress region, HSSFSheet sheet, HSSFWorkbook workbook)` Deprecated. Sets the leftBorderColor attribute of the HSSFRegionUtil object
    `static void` | `setRightBorderColor(int color, CellRangeAddress region, HSSFSheet sheet, HSSFWorkbook workbook)` Deprecated. Sets the rightBorderColor attribute of the HSSFRegionUtil object
    `static void` | `setTopBorderColor(int color, CellRangeAddress region, HSSFSheet sheet, HSSFWorkbook workbook)` Deprecated. Sets the topBorderColor attribute of the HSSFRegionUtil object

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### setBorderLeft

          public static void setBorderLeft(int border,
                                           CellRangeAddress region,
                                           HSSFSheet sheet,
                                           HSSFWorkbook workbook)

      Deprecated.
      Sets the left border for a region of cells by manipulating the cell style of the individual cells on the left
      Parameters:
        `border` - The new border
        `region` - The region that should have the border
        `workbook` - The workbook that the region is on.
        `sheet` - The sheet that the region is on.

    - #### setLeftBorderColor

          public static void setLeftBorderColor(int color,
                                                CellRangeAddress region,
                                                HSSFSheet sheet,
                                                HSSFWorkbook workbook)

      Deprecated.
      Sets the leftBorderColor attribute of the HSSFRegionUtil object
      Parameters:
        `color` - The color of the border
        `region` - The region that should have the border
        `workbook` - The workbook that the region is on.
        `sheet` - The sheet that the region is on.

    - #### setBorderRight

          public static void setBorderRight(int border,
                                            CellRangeAddress region,
                                            HSSFSheet sheet,
                                            HSSFWorkbook workbook)

      Deprecated.
      Sets the borderRight attribute of the HSSFRegionUtil object
      Parameters:
        `border` - The new border
        `region` - The region that should have the border
        `workbook` - The workbook that the region is on.
        `sheet` - The sheet that the region is on.

    - #### setRightBorderColor

          public static void setRightBorderColor(int color,
                                                 CellRangeAddress region,
                                                 HSSFSheet sheet,
                                                 HSSFWorkbook workbook)

      Deprecated.
      Sets the rightBorderColor attribute of the HSSFRegionUtil object
      Parameters:
        `color` - The color of the border
        `region` - The region that should have the border
        `workbook` - The workbook that the region is on.
        `sheet` - The sheet that the region is on.

    - #### setBorderBottom

          public static void setBorderBottom(int border,
                                             CellRangeAddress region,
                                             HSSFSheet sheet,
                                             HSSFWorkbook workbook)

      Deprecated.
      Sets the borderBottom attribute of the HSSFRegionUtil object
      Parameters:
        `border` - The new border
        `region` - The region that should have the border
        `workbook` - The workbook that the region is on.
        `sheet` - The sheet that the region is on.

    - #### setBottomBorderColor

          public static void setBottomBorderColor(int color,
                                                  CellRangeAddress region,
                                                  HSSFSheet sheet,
                                                  HSSFWorkbook workbook)

      Deprecated.
      Sets the bottomBorderColor attribute of the HSSFRegionUtil object
      Parameters:
        `color` - The color of the border
        `region` - The region that should have the border
        `workbook` - The workbook that the region is on.
        `sheet` - The sheet that the region is on.

    - #### setBorderTop

          public static void setBorderTop(int border,
                                          CellRangeAddress region,
                                          HSSFSheet sheet,
                                          HSSFWorkbook workbook)

      Deprecated.
      Sets the borderBottom attribute of the HSSFRegionUtil object
      Parameters:
        `border` - The new border
        `region` - The region that should have the border
        `workbook` - The workbook that the region is on.
        `sheet` - The sheet that the region is on.

    - #### setTopBorderColor

          public static void setTopBorderColor(int color,
                                               CellRangeAddress region,
                                               HSSFSheet sheet,
                                               HSSFWorkbook workbook)

      Deprecated.
      Sets the topBorderColor attribute of the HSSFRegionUtil object
      Parameters:
        `color` - The color of the border
        `region` - The region that should have the border
        `workbook` - The workbook that the region is on.
        `sheet` - The sheet that the region is on.

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.